Skip to main content
`Ctrl`+`K`

# MatSeqAIJHIPSPARSERestoreArray

restore the read-write access array obtained from `MatSeqAIJHIPSPARSEGetArray()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJHIPSPARSERestoreArray(Mat A, PetscScalar **a)

Not Collective

## Input Parameters

- A - a `MATSEQAIJHIPSPARSE` matrix

- a - pointer to the device data

## See Also

Matrices, `Mat`, `MatSeqAIJHIPSPARSEGetArray()`

## Level

developer

## Location

src/mat/impls/aij/seq/seqhipsparse/aijhipsparse.hip.cpp

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages